
module Kernel

  module_function

  def get_by_id( id )
    ObjectSpace._id2ref( id )
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCKernel < Test::Unit::TestCase

    def test_get_by_id
      a = "Test"
      i = a.object_id
      assert_equal( a, get_by_id(i) )
    end

  end

=end
